Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737534 - sci-physics/espresso-4.1.3 fails to compile
Summary: sci-physics/espresso-4.1.3 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Physics related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-17 06:12 UTC by Agostino Sarubbo
Modified: 2021-08-30 21:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,279.12 KB, text/plain)
2020-08-17 06:12 UTC, Agostino Sarubbo
Details
1-CMakeOutput.log (1-CMakeOutput.log,49.55 KB, text/plain)
2020-08-17 06:12 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-17 06:12:15 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-physics/espresso-4.1.3 fails to compile.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-17 06:12:18 UTC
Created attachment 655000 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-08-17 06:12:19 UTC
Created attachment 655002 [details]
1-CMakeOutput.log

1-CMakeOutput.log
Comment 3 Christoph Junghans gentoo-dev 2020-08-17 19:13:11 UTC
Seems to be a bug in boost-1.74
Comment 4 Larry the Git Cow gentoo-dev 2021-08-30 21:23:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4709d8e4ea9ec149753b98cabf365b3520070d65

commit 4709d8e4ea9ec149753b98cabf365b3520070d65
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-08-30 21:18:46 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-08-30 21:22:07 +0000

    sci-physics/espresso: Fix build with gcc-11
    
    * Call python_optimize for non byte-compiled modules
    * Builds with >=boost-1.75 versions
    
    Closes: https://bugs.gentoo.org/737534
    Closes: https://bugs.gentoo.org/793011
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 sci-physics/espresso/espresso-4.1.3.ebuild         |  6 ++++
 .../espresso/files/espresso-4.1.3-gcc-11.patch     | 37 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)